package com.adventurer_engine.client.entity.render;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import bgm;
import bjo;
import com.adventurer_engine.client.entity.model.RCsModelManager;
import com.adventurer_engine.client.model.rc.RCsAnimationManager;
import com.adventurer_engine.client.model.rc.RCsModel;
import com.adventurer_engine.common.entity.neo_npc.AnimationController;
import com.adventurer_engine.common.entity.neo_npc.EntityRCsNPCBase;
import java.util.HashMap;
import java.util.Map;
import nn;
import org.lwjgl.opengl.GL11;

public class GeneralRender extends bgm {
  public static Map<String, RCsModel> baked_models = new HashMap<String, RCsModel>();
  
  private static final bjo TEXTURE = new bjo("adventurer_engine", "textures/entity/fufu.png");
  
  public RCsModel model = new RCsModel(RCsModelManager.model);
  
  public void a(nn entity, double x, double y, double z, float entityYaw, float partialTicks) {
    if (!(entity instanceof EntityRCsNPCBase))
      return; 
    b(entity);
    GL11.glPushMatrix();
    GL11.glTranslatef((float)x, (float)y, (float)z);
    renderRCsNPC((EntityRCsNPCBase)entity, partialTicks);
    GL11.glPopMatrix();
  }
  
  public void renderRCsNPC(EntityRCsNPCBase entity, float partialTicks) {
    RCsModel model;
    if (entity.model == null)
      return; 
    if (!baked_models.containsKey(entity.model.name)) {
      model = new RCsModel(entity.model);
      baked_models.put(entity.model.name, model);
    } else {
      model = baked_models.get(entity.model.name);
    } 
    if (entity.animation == null)
      entity.animation = (AnimationController)new RCsAnimationManager(); 
    if (entity.animation instanceof RCsAnimationManager) {
      GL11.glPushMatrix();
      GL11.glRotatef(entity.A, 0.0F, 1.0F, 0.0F);
      model.render((RCsAnimationManager)entity.animation, partialTicks);
      GL11.glPopMatrix();
    } 
  }
  
  public bjo a(nn entity) {
    return TEXTURE;
  }
}
